com.snowflake.client.jdbc

## Enum SnowflakeFileTransferAgent.ResultStatus

- java.lang.Object
- - java.lang.Enum<SnowflakeFileTransferAgent.ResultStatus>
  - - com.snowflake.client.jdbc.SnowflakeFileTransferAgent.ResultStatus

All Implemented Interfaces:
  Serializable, Comparable<SnowflakeFileTransferAgent.ResultStatus>

Enclosing class:
  SnowflakeFileTransferAgent

    public static enum SnowflakeFileTransferAgent.ResultStatus
    extends Enum<SnowflakeFileTransferAgent.ResultStatus>

Result status enum

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COLLISION`
`DIRECTORY`
`DOWNLOADED`
`ERROR`
`NONEXIST`
`SKIPPED`
`UNKNOWN`
`UNSUPPORTED`
`UPLOADED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getDesc()`
`static SnowflakeFileTransferAgent.ResultStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SnowflakeFileTransferAgent.ResultStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final SnowflakeFileTransferAgent.ResultStatus UNKNOWN

#### UPLOADED

    public static final SnowflakeFileTransferAgent.ResultStatus UPLOADED

#### UNSUPPORTED

    public static final SnowflakeFileTransferAgent.ResultStatus UNSUPPORTED

#### ERROR

    public static final SnowflakeFileTransferAgent.ResultStatus ERROR

#### SKIPPED

    public static final SnowflakeFileTransferAgent.ResultStatus SKIPPED

#### NONEXIST

    public static final SnowflakeFileTransferAgent.ResultStatus NONEXIST

#### COLLISION

    public static final SnowflakeFileTransferAgent.ResultStatus COLLISION

#### DIRECTORY

    public static final SnowflakeFileTransferAgent.ResultStatus DIRECTORY

#### DOWNLOADED

    public static final SnowflakeFileTransferAgent.ResultStatus DOWNLOADED

### Method Detail

#### values

    public static SnowflakeFileTransferAgent.ResultStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SnowflakeFileTransferAgent.ResultStatus c : SnowflakeFileTransferAgent.ResultStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SnowflakeFileTransferAgent.ResultStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getDesc

    public String getDesc()